## fassets 260.72

=== inst/unitTests/Makefile ===
PKG=fAssets
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
    cd ${TOP}/..;\
    ${R} CMD INSTALL ${PKG}

test: # Run unit tests
    export RCMDCHECK=FALSE;\
    cd ${TOP}/tests;\
    ${R} --vanilla --slave < ${SUITE}

## fassets 3002.80

=== DESCRIPTION ===
Package: fAssets
Version: 3002.80
Revision: 5530
Date: 2013-12-17
Title: Rmetrics - Assets Selection and Modelling
Author: Diethelm Wuertz and many others, see the SOURCE file
Depends: R (>= 2.6.0), timeDate, timeSeries, fBasics, fCopulae (>=
        2100.77)
Imports: methods, sn, MASS, robustbase
Suggests: RUnit
Maintainer: Yohan Chalabi <yohan.chalabi@rmetrics.org>
Description: Environment for teaching "Financial Engineering and
        Computational Finance"
NOTE: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: http://www.rmetrics.org
Packaged: 2013-12-17 20:28:00 UTC; yohan
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-12-17 23:16:40

=== inst/unitTests/Makefile ===
PKG=fAssets
TOP=../..
SUITE=doRUnit.R
R=R

all: inst test

inst: # Install package -- but where ?? -- will that be in R_LIBS ?
	cd ${TOP}/..;\
	${R} CMD INSTALL ${PKG}

test: # Run unit tests
	export RCMDCHECK=FALSE;\
	cd ${TOP}/tests;\
	${R} --vanilla --slave < ${SUITE}

## fassets 3011.82

=== DESCRIPTION ===
Package: fAssets
Title: Rmetrics - Analysing and Modelling Financial Assets
Date: 2014-09-17
Version: 3011.82
Author: Rmetrics Core Team,
	Diethelm Wuertz [aut],
	Tobias Setz [cre]
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@rmetrics.org>
Description: Environment for teaching 
    "Financial Engineering and Computational Finance".
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: fMultivar, robustbase, MASS, sn
Suggests: methods, mnormt, ecodist, mvnormtest, energy, RUnit
Note: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
Packaged: 2014-09-22 10:28:15 UTC; Tobi
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-09-22 14:10:47

## fassets 3011.83

=== DESCRIPTION ===
Package: fAssets
Title: Rmetrics - Analysing and Modelling Financial Assets
Date: 2014-10-30
Version: 3011.83
Author: Rmetrics Core Team,
	Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@rmetrics.org>
Description: Environment for teaching 
    "Financial Engineering and Computational Finance".
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: fMultivar, robustbase, MASS, sn, ecodist, mvnormtest, energy
Suggests: methods, mnormt, RUnit
Note: SEVERAL PARTS ARE STILL PRELIMINARY AND MAY BE CHANGED IN THE
        FUTURE. THIS TYPICALLY INCLUDES FUNCTION AND ARGUMENT NAMES, AS
        WELL AS DEFAULTS FOR ARGUMENTS AND RETURN VALUES.
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
Packaged: 2014-10-30 11:52:35 UTC; Tobi
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-10-30 13:38:28

## fassets 3042.84

=== DESCRIPTION ===
Package: fAssets
Title: Rmetrics - Analysing and Modelling Financial Assets
Date: 2017-11-12
Version: 3042.84
Author: Diethelm Wuertz [aut],
	Tobias Setz [cre],
	Yohan Chalabi [ctb]
Maintainer: Tobias Setz <tobias.setz@live.com>
Description: Provides a  collection of functions 
  to manage, to investigate and to analyze data sets of financial 
  assets from different points of view.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: fMultivar, robustbase, MASS, sn, ecodist, mvnormtest, energy,
        grDevices, graphics, stats
Suggests: methods, mnormt, RUnit
LazyData: yes
License: GPL (>= 2)
URL: https://www.rmetrics.org
NeedsCompilation: no
Packaged: 2017-11-16 17:28:40 UTC; Tobias Setz
Repository: CRAN
Date/Publication: 2017-11-16 21:59:39 UTC

## fassets 4023.85

=== DESCRIPTION ===
Package: fAssets
Title: Rmetrics - Analysing and Modelling Financial Assets
Date: 2023-04-20
Version: 4023.85
Authors@R: c( person("Diethelm", "Wuertz", role = "aut"), person("Tobias", "Setz", role = "aut"),
              person("Yohan", "Chalabi", role = "aut"),
	      person("Stefan", "Theussl", role = c("aut", "cre"), email = "Stefan.Theussl@R-project.org", comment = c(ORCID = "0000-0002-6523-4620")) )
Description: A collection of functions to manage, to investigate and to analyze data sets of financial 
  assets from different points of view.
Depends: R (>= 2.15.1), timeDate, timeSeries, fBasics
Imports: fMultivar, robustbase, MASS, sn, ecodist, mvnormtest, energy,
        grDevices, graphics, stats
Suggests: methods, mnormt, RUnit
License: GPL (>= 2)
URL: https://r-forge.r-project.org/projects/rmetrics/
NeedsCompilation: no
Packaged: 2023-04-21 19:38:00 UTC; parallels
Author: Diethelm Wuertz [aut],
  Tobias Setz [aut],
  Yohan Chalabi [aut],
  Stefan Theussl [aut, cre] (<https://orcid.org/0000-0002-6523-4620>)
Maintainer: Stefan Theussl <Stefan.Theussl@R-project.org>
Repository: CRAN
Date/Publication: 2023-04-24 14:00:02 UTC

=== debian/changelog ===
fassets (4023.85-2) unstable; urgency=medium

  * Rebuilding for unstable following bookworm release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 20 Jun 2023 06:01:38 -0500

fassets (4023.85-1) experimental; urgency=medium

  * New upstream release (into 'experimental' while Debian is frozen)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 12)
  * debian/control: Add Vcs-Browser: and Vcs-Git:
  * debian/control: Switch from cdbs to dh-r
  * debian/rules: Idem

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 30 Apr 2023 10:55:02 -0500

fassets (3042.84-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Set Build-Depends: to current R version 
  * debianb/control: Add Depends: on ${misc:Depends}
  * debian/compat: Set level to 9

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 Nov 2017 21:12:09 -0600

fassets (3011.83-2) unstable; urgency=medium

  * debian/compat: Created			(Closes: ##829410)
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 07 Jul 2016 05:40:36 -0500

fassets (3011.83-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Add 'r-cran-ecodist, r-cran-mvnormtest, r-cran-energy'
    to (Build-)Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Oct 2014 11:41:23 -0500

fassets (3011.82-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: 
 
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Sep 2014 21:57:49 -0500

fassets (3003.81-2) unstable; urgency=low

  * debian/control: Expand Depends: to match Build-Depends:	
  							(Closes: #753213)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 30 Jun 2014 07:59:25 -0500

fassets (3003.81-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Added Build-Depends: for the new dependencies
    r-cran-ecodist, r-cran-energy and r-cran-mvnormtest all of which were
    added to Debian too

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 01 Apr 2014 19:39:59 -0500

fassets (3002.80-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Dec 2013 19:08:35 -0600

fassets (2110.79-2) unstable; urgency=low

  * debian/control: Set Build-Depends: to current R version 
  
  * (Re-)building with R 3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 03 Apr 2013 05:39:36 -0500

fassets (2110.79-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Change Depends to ${R:Depends}
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 24 Sep 2012 06:26:04 -0500

fassets (2100.78-3) unstable; urgency=low

  * debian/control: Switch (Build-)Depends: from r-cran-vr to r-cran-mass

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Apr 2010 11:28:26 -0500

fassets (2100.78-2) unstable; urgency=low

  * Rebuilt for R 2.10.0 to work with new R-internal help file conversion

  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Nov 2009 16:53:01 -0600

fassets (2100.78-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Set Build-Depends: on r-cran-fcopulae to (>= 2100.77)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Oct 2009 07:01:51 -0500

fassets (2100.77-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fcopulae to (>= 2100.76)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Apr 2009 21:32:02 -0500

fassets (2100.76-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 19 Apr 2009 07:34:20 -0500

fassets (290.75-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: on r-cran-fbasics to (>= 290.76)

  * debian/control: Changed Section: to new section 'gnu-r'
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version 3.8.1

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 18 Apr 2009 10:37:15 -0500

fassets (280.74-1) unstable; urgency=low

  * New upstream release

  * debian/control: Updated (Build-)Depends: and Suggests:
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 28 Oct 2008 21:36:08 -0500

fassets (260.72-2) unstable; urgency=low

  * debian/control: Tighten (Build-)Depends: on packages that have been 
    rebuilt as part of the gfortran transition.

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 21 Apr 2008 14:21:11 -0500

fassets (260.72-1) unstable; urgency=low

  * Initial Debian release of new Rmetrics component package
  
 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 15 Nov 2007 20:31:02 -0600

=== debian/control ===
Source: fassets
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.3.1), dh-r, r-cran-sn, r-cran-mass, r-cran-robustbase, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fmultivar, xvfb, xauth, xfonts-base, r-cran-ecodist, r-cran-mvnormtest, r-cran-energy
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/edd/r-cran-fassets
Vcs-Git: https://salsa.debian.org/edd/r-cran-fassets.git
Homepage: https://cran.r-project.org/package=fAssets

Package: r-cran-fassets
Architecture: all
Depends: ${R:Depends}, ${misc:Depends}, r-cran-sn, r-cran-mass, r-cran-robustbase, r-cran-timedate, r-cran-timeseries, r-cran-fbasics (>= 290.76), r-cran-fmultivar, r-cran-ecodist, r-cran-mvnormtest, r-cran-energy
Suggests: r-cran-runit
Description: GNU R package for financial engineering -- fAssets
 This package provides functions for modelling and selection of
 financial assets is part of Rmetrics, a collection of packages for
 financial engineering and computational finance written and compiled
 by Diethelm Wuertz and others.
 .
 fAssets provides asset selection and modelling functions.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-fassets package
# Copyright 2003-2023 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/fAssets_([-\d\.]*)\.tar.gz
